Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.controller
Class SpringControllerComponent

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.controller.SpringControllerComponent

All Implemented Interfaces:
  CachingPipelineComponent, Finisher, PipelineComponent, Starter, ApplicationContextAware

    public class SpringControllerComponent

extends AbstractPipelineComponent
implements Starter, Finisher, ApplicationContextAware, CachingPipelineComponent

Constructor Summary
`SpringControllerComponent()`

Method Summary
`CacheKey` | `constructCacheKey()`
`void` | `execute()`
`String` | `getContentType()`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Constructor Detail

### SpringControllerComponent

    public SpringControllerComponent()

Method Detail

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`
  See Also:
    `CachingPipelineComponent.constructCacheKey()`

### execute

    public void execute()

  Specified by:
    `execute` in interface `Starter`
  See Also:
    `Starter.execute()`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`
  See Also:
    `Finisher.getContentType()`

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`
  See Also:
    `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.
  See Also:
    `PipelineComponent.setConfiguration(java.util.Map)`

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`
  See Also:
    `Finisher.setOutputStream(java.io.OutputStream)`

### setup

    public void setup(Map<String,Object> parameters)

  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.
  See Also:
    `PipelineComponent.setup(java.util.Map)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.